summaryrefslogtreecommitdiffstats
path: root/debian/lenny/tdenetwork/debian/patches/common/kubuntu_01_kdepot.diff
blob: 39dd7745eea0ca172ed214fd1f4abd2e3f09ca4d (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
--- kde/admin/cvs.sh	2005-11-26 02:42:02.000000000 +0000
+++ kde/admin/cvs.sh	2005-11-26 02:42:26.000000000 +0000
@@ -537,6 +537,8 @@
 if test -z "$PREPARETIPS"; then PREPARETIPS=preparetips ; fi
 export EXTRACTRC PREPARETIPS
 
+kdepotpath=/opt/trinity/include/tde/tde.pot
+
 for subdir in $dirs; do
   test -z "$VERBOSE" || echo "Making messages in $subdir"
   (cd $subdir
@@ -554,10 +556,10 @@
    fi
    perl -e '$mes=0; while (<STDIN>) { next if (/^(if\s|else\s|endif)/); if (/^messages:/) { $mes=1; print $_; next; } if ($mes) { if (/$\\(XGETTEXT\)/ && / -o/) { s/ -o \$\(podir\)/ _translatorinfo.cpp -o \$\(podir\)/ } print $_; } else { print $_; } }' < Makefile.am | egrep -v '^include ' > _transMakefile
 
-   kdepotpath=${includedir:-`tde-config --expandvars --install include`}/tde.pot
-   if ! test -f $kdepotpath; then
-	kdepotpath=`tde-config --expandvars --prefix`/include/tde.pot
-   fi
+#   kdepotpath=${includedir:-`tde-config --expandvars --install include`}/tde.pot
+#   if ! test -f $kdepotpath; then
+#	kdepotpath=`tde-config --expandvars --prefix`/include/tde.pot
+#   fi
 
    $MAKE -s -f _transMakefile podir=$podir EXTRACTRC="$EXTRACTRC" PREPARETIPS="$PREPARETIPS" srcdir=. \
 	XGETTEXT="${XGETTEXT:-xgettext} --foreign-user -C -ci18n -ki18n -ktr2i18n -kI18N_NOOP -kI18N_NOOP2 -kaliasLocale -x $kdepotpath" messages